﻿//时间格式化
Date.prototype.format = function (fmt) {
    fmt = fmt ?? "yyyy-MM-dd HH:mm:ss";
    date = new Date(this);
    var o = {
        "M+": date.getMonth() + 1,     //月份 
        "d+": date.getDate(),     //日 
        "H+": date.getHours(),     //小时 
        "m+": date.getMinutes(),     //分 
        "s+": date.getSeconds(),     //秒 
        "q+": Math.floor((date.getMonth() + 3) / 3), //季度 
        "S": date.getMilliseconds()    //毫秒 
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
//为当前日期增加i天
Date.prototype.addDays = function (i) {
    let td = new Date(this);
    return new Date(td.setDate(td.getDate() + i))
}
//为当前日期增加i月
Date.prototype.addMonths = function (i) {
    let td = new Date(this);
    return new Date(td.setMonth(td.getMonth() + i))
}
